package com.heyu.api.data.entity.calca;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*接口表
* @author quyixiao
* @since 2025-03-04
*/

@Data
@TableName("calca_face_config")
public class CalcaFaceConfigEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.calca.CalcaFaceConfigEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                     // id
    public final static String is_delete = CLASS_NAME + "is_delete";                        // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                    // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                    // 修改时间
    public final static String face_ = CLASS_NAME + "face";                                 // 接口
    public final static String every_invoke_amount = CLASS_NAME + "every_invoke_amount";    // 每一次调用多少钱
    //id
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //接口
    private String face;
    //每一次调用多少钱
    private BigDecimal everyInvokeAmount;
    /**
     * id 
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     * id 
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 接口 
     * @return
     */
    public String getFace() {
        return face;
    }
    /**
     * 接口 
     * @param face
     */
    public void setFace(String face) {
        this.face = face;
    }

    /**
     * 每一次调用多少钱 
     * @return
     */
    public BigDecimal getEveryInvokeAmount() {
        return everyInvokeAmount;
    }
    /**
     * 每一次调用多少钱 
     * @param everyInvokeAmount
     */
    public void setEveryInvokeAmount(BigDecimal everyInvokeAmount) {
        this.everyInvokeAmount = everyInvokeAmount;
    }

    @Override
    public String toString() {
        return "CalcaFaceConfigEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",face=" + face +
                ",everyInvokeAmount=" + everyInvokeAmount +
                "}";
    }
}